#include "CorpSCADANetworksRMPVModel.h"

CorpSCADANetworksRMPVModel::CorpSCADANetworksRMPVModel(bool expandTimeArrays) {
  TheModel=new CorpSCADANetworksADVISE();
  DefineName("CorpSCADANetworksRMPVModel");
  CreatePVList(3, expandTimeArrays);
  Initialize();
}



PerformanceVariableNode* CorpSCADANetworksRMPVModel::createPVNode(int pvindex, int timeindex) {
  switch(pvindex) {
  case 0:
    return new CorpSCADANetworksRMPV0(timeindex);
    break;
  case 1:
    return new CorpSCADANetworksRMPV1(timeindex);
    break;
  case 2:
    return new CorpSCADANetworksRMPV2(timeindex);
    break;
  }
  return NULL;
}
