#ifndef _CORPSCADANETWORKSRM_PVS_
#define _CORPSCADANETWORKSRM_PVS_
#include <math.h>
#include "Performance_Variables/PerformanceVariableNode.hpp"
#include "Atomic/CorpSCADANetworks/CorpSCADANetworksADVISE.h"
#include "Performance_Variables/InstantOfTime.hpp"


class CorpSCADANetworksRMPV0Worker:public InstantOfTime
{
 public:
  CorpSCADANetworksADVISE *CorpSCADANetworks;
  
  CorpSCADANetworksRMPV0Worker();
  ~CorpSCADANetworksRMPV0Worker();
  double Reward_Function();
};

class CorpSCADANetworksRMPV0:public PerformanceVariableNode
{
 public:
  CorpSCADANetworksADVISE *TheCorpSCADANetworksADVISE;

  CorpSCADANetworksRMPV0Worker *CorpSCADANetworksRMPV0WorkerList;

  CorpSCADANetworksRMPV0(int timeindex=0);
  ~CorpSCADANetworksRMPV0();
  void CreateWorkerList(void);
};

class CorpSCADANetworksRMPV1Worker:public InstantOfTime
{
 public:
  CorpSCADANetworksADVISE *CorpSCADANetworks;
  
  CorpSCADANetworksRMPV1Worker();
  ~CorpSCADANetworksRMPV1Worker();
  double Reward_Function();
};

class CorpSCADANetworksRMPV1:public PerformanceVariableNode
{
 public:
  CorpSCADANetworksADVISE *TheCorpSCADANetworksADVISE;

  CorpSCADANetworksRMPV1Worker *CorpSCADANetworksRMPV1WorkerList;

  CorpSCADANetworksRMPV1(int timeindex=0);
  ~CorpSCADANetworksRMPV1();
  void CreateWorkerList(void);
};

class CorpSCADANetworksRMPV2Worker:public InstantOfTime
{
 public:
  CorpSCADANetworksADVISE *CorpSCADANetworks;
  
  CorpSCADANetworksRMPV2Worker();
  ~CorpSCADANetworksRMPV2Worker();
  double Reward_Function();
};

class CorpSCADANetworksRMPV2:public PerformanceVariableNode
{
 public:
  CorpSCADANetworksADVISE *TheCorpSCADANetworksADVISE;

  CorpSCADANetworksRMPV2Worker *CorpSCADANetworksRMPV2WorkerList;

  CorpSCADANetworksRMPV2(int timeindex=0);
  ~CorpSCADANetworksRMPV2();
  void CreateWorkerList(void);
};

#endif
