
#ifndef CorpSCADANetworksStudyRangeSTUDY_H_
#define CorpSCADANetworksStudyRangeSTUDY_H_

#include "Reward/CorpSCADANetworksRM/CorpSCADANetworksRMPVNodes.h"
#include "Reward/CorpSCADANetworksRM/CorpSCADANetworksRMPVModel.h"
#include "BaseClasses/GlobalVariables.h"
#include "Study/BaseStudyClass.hpp"


class CorpSCADANetworksStudyRangeStudy : public BaseStudyClass {
public:

CorpSCADANetworksStudyRangeStudy();
~CorpSCADANetworksStudyRangeStudy();

private:



void PrintGlobalValues(int expNum) override;
void *GetGVValue(char *TheGVName) override;
void OverrideGVValue(char *TheGVName, void *TheGVValue) override;
void SetGVs(int expNum) override;
PVModel *GetPVModel(bool expandTimeArrays) override;
};

#endif

